package com.uas.platform.b2b.service;

import java.util.List;

import org.springframework.data.domain.Page;

import com.uas.platform.b2b.model.PurchaseBadIn;
import com.uas.platform.b2b.model.PurchaseBadInItem;
import com.uas.platform.core.model.PageInfo;

public interface PurchaseBadInService {

	/**
	 * 批量保存、修改客户不良品入库单
	 * 
	 * @param changeItems
	 * @return
	 */
	public void save(List<PurchaseBadInItem> badInItems);
	
	/**
	 * 获取需要上传（到卖方）的未上传不良品入库单
	 * @return
	 */
	public List<PurchaseBadIn> findNotUpload();
	
	/**
	 * 上传好需要上传的客户不良品入库单后修改单据的上传状态
	 * @param idArray
	 */
	public void onUploadSuccess(String[] idArray);

	/**
	 * 分页查找客户不良品入库单，包括明细
	 * 
	 * @param pageInfo
	 * @return
	 */
	public Page<PurchaseBadIn> findAllByPageInfo(PageInfo pageInfo);
	
	/**
	 * 用不良品入库单ID查找客户不良品入库单
	 * 
	 * @param id
	 * @return
	 */
	public PurchaseBadIn findById(Long id);

}
